SDL_LoadFile_IO(3)

NAME
SDL_LoadFile_IO - Load all the data from an SDL data stream.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_LoadFile_IO(SDL_IOStream *src, size_t *datasize, bool closeio);

DESCRIPTION
The data is allocated with a zero byte at the end (null terminated) for convenience. This extra byte is not included in the value reported via datasize .

The data should be freed with SDL_free ().

FUNCTION PARAMETERS

src the SDL_IOStream
     to read all available data from.

datasize
    a pointer filled in with the number of bytes read, may be NULL.

closeio
    if true, calls SDL_CloseIO () on src before returning, even in the case of an error.

RETURN VALUE
Returns the data or NULL on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LoadFile(3), •(3), SDL_SaveFile_IO(3)